.timeline-wrapper {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    margin-top: 3.2rem;
    margin-left: auto;
    margin-right: auto;
    padding: 1rem 2rem;
    max-height: 75vh;
    overflow-y: hidden;
    gap: 3rem; 
}

.timeline-nav {
    overflow-y: auto;
    position: relative;
    display: flex;
    flex-direction: column;
    overflow-y: auto;
    overflow-x: hidden;
    padding: 1rem;
    max-height: 70vh;
}

.nav-item {
    padding: 0.2rem;
    cursor: pointer;
    border-bottom: 1px solid var(--afro);
    transition: all 0.3s ease;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-item.active {
    background: var(--not-burnt-orange);
    color: var(--shwite);
}

.timeline-content {
    position: relative;
    overflow-x: hidden;
    overflow-y: scroll;
    flex: 1;
}

.timeline-event {
    position: absolute;
    top: 0;
    left: 0;
    padding: 2rem;
    opacity: 0;
    visibility: hidden;
    transform: translateY(20px);
    transition: all 0.5s ease-in-out;
    font-size: 1.5rem;
}

.timeline-event.is-active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

.timeline-event.exit {
    opacity: 0;
    transform: translateY(-20px);
}

.event-details img {
    max-width: 90%;
    width: 30rem;
    height: auto;
    margin: 20px 0;
}

.event-details {
    font-size: 1.5rem;
}

@media (max-width: 768px) {
    .timeline-nav {
        max-height: 65vh;
    }
}

@media (max-width: 480px) {
    .timeline-wrapper {
        padding: 1rem 1rem;
        gap: 1rem;
    }
    
    .timeline-nav {
        max-height: 66vh;
        padding: 0;
        width: 5rem;
        font-size: 0.7rem;
        word-break: break-word;
    }

    .timeline-event {
        padding: 0.5rem;;
        font-size: 1rem;
        word-break: break-word;
    }

    .timeline-event h2 {
        font-size: 1.5rem;
    }

    .event-details {
        font-size: 1rem;
    }
}